summaryrefslogtreecommitdiffstats
path: root/csit/install-robotframework.sh
diff options
context:
space:
mode:
Diffstat (limited to 'csit/install-robotframework.sh')
-rw-r--r--csit/install-robotframework.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/csit/install-robotframework.sh b/csit/install-robotframework.sh
index dada62215..54dbce400 100644
--- a/csit/install-robotframework.sh
+++ b/csit/install-robotframework.sh
@@ -1,12 +1,13 @@
-ROBOT_VENV=$(mktemp -d --suffix=robot_venv)
-echo "ROBOT_VENV=${ROBOT_VENV}" >> "${WORKSPACE}/env.properties"
+set -exu
+
+ROBOT3_VENV=$(mktemp -d --suffix=robot_venv)
+echo "ROBOT3_VENV=${ROBOT3_VENV}" >> "${WORKSPACE}/env.properties"
echo "Python version is: $(python3 --version)"
-python3 -m venv "${ROBOT_VENV}"
-source "${ROBOT_VENV}/bin/activate"
+python3 -m venv "${ROBOT3_VENV}"
+source "${ROBOT3_VENV}/bin/activate"
-set -exu
# Make sure pip3 itself us up-to-date.
python3 -m pip install --upgrade pip